<?php



class TbllessonMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TbllessonMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TbllessonPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TbllessonPeer::TABLE_NAME);
		$tMap->setPhpName('Tbllesson');
		$tMap->setClassname('Tbllesson');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('LES_CATEGORY', 'LesCategory', 'INTEGER', true, null);

		$tMap->addPrimaryKey('LES_ID', 'LesId', 'INTEGER', true, null);

		$tMap->addColumn('LES_TITLE', 'LesTitle', 'VARCHAR', true, 255);

	} 
} 